//
//  YHFileListViewController.swift
//  galaxy
//
//  Created by davidhuangA on 2024/3/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
/*
 文件清单
 */

class YHFileListViewController: YHBaseViewController {
    
    var orderId : Int?
    private let certificateReqVM : YHCertificateViewModel = YHCertificateViewModel()
    
    private lazy var topBkg : UIView = {
        let imagV = UIImageView()
        imagV.image = UIImage(named: "file_list_bkg")
        imagV.contentMode = .scaleAspectFill
        return imagV
        
    }()
    
    private lazy var headView : UIView = {
        let view = UIView()
        view.backgroundColor = .clear
        return view
    }()
    
    private lazy var myScrollView : UIScrollView = {
        let view = UIScrollView()
        view.backgroundColor = .red
        
        
        return view
    }()
    
    
    
    
    
    
    let bottomView : YHFileListBottomView = YHFileListBottomView()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        loadData()
    }
}

extension YHFileListViewController {
    func loadData() {
//        if let orderID = UserDefaults.standard.value(forKey: "orderIdForPreview") {
//            let param = ["order_id":orderID,"node":"1","state":"1"]
//            certificateReqVM.getCertificateStatisticData(params: param) { success, error in
//                if success == true {
//                    self.headerView.dataModel = self.certificateReqVM.certificateEntryModel
//                } else {
//                    YHHUD.flash(message: error?.errorMsg ?? "请求出错")
//                }
//                
//                self.homeTableView.reloadData()
//            }
//        } else {
//            printLog("error : orderID 为空")
//        }
    }
    
    func setupUI() {
        gk_navTitle = "文件清单"
        gk_navBarAlpha = 1.0
        gk_navBackgroundColor = .white
        
        view.addSubview(topBkg)
        topBkg.snp.makeConstraints { make in
            make.top.equalToSuperview().offset(k_Height_NavigationtBarAndStatuBar)
            make.left.right.equalToSuperview()
            make.height.equalTo(312)
        }
        
        
        
        
        view.addSubview(bottomView)
        bottomView.snp.makeConstraints { make in
            make.left.right.bottom.equalToSuperview()
            make.height.equalTo(YHFileListBottomView.viewH)
        }
        bottomView.block = { flag in
            if flag == 1 {
                printLog("生成清单")
            }
        }
    }
}
